<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Install Bstrain &mdash; bstrain  documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/mystnb.4510f1fc1dee50b3e5859aac5469c37c29e427902b24a333a5f9fcb2f0b3ac41.css?v=be8a1c11" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=5929fcd5"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="How to use" href="howto.html" />
    <link rel="prev" title="About Bstrain" href="about.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            bstrain
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Bstrain code</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About Bstrain</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Install Bstrain</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#architecture">Architecture</a></li>
<li class="toctree-l2"><a class="reference internal" href="#requirements-and-compiling">Requirements and Compiling</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="howto.html">How to use</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Bstrain Plotter</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="plotter.html">Quick guide to Bstrain plotter</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">bstrain</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Install Bstrain</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/install.md.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="install-bstrain">
<h1>Install Bstrain<a class="headerlink" href="#install-bstrain" title="Link to this heading"></a></h1>
<section id="architecture">
<h2>Architecture<a class="headerlink" href="#architecture" title="Link to this heading"></a></h2>
<ul class="simple">
<li><p>Regression2D.f90 : main program</p></li>
<li><p>parameters.in : gather many parameters that need to be adjusted. Warning, some may remain hard-coded in Regression2D.f90 at this stage</p></li>
<li><p>qhull and nn directories : libraries called for building Delaunay triangulation</p></li>
<li><p>fmodel.f90 : computes the forward model for each proposed triangulation</p></li>
</ul>
</section>
<section id="requirements-and-compiling">
<h2>Requirements and Compiling<a class="headerlink" href="#requirements-and-compiling" title="Link to this heading"></a></h2>
<p>mpifortran is required for compilation.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>*<strong>Compilation is needed after any change to parameters.in</strong></p>
</div>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>make<span class="w"> </span>clean<span class="w"> </span><span class="p">&amp;</span><span class="w"> </span>make
</pre></div>
</div>
<p>This produces an executable which is called run.</p>
<p>It can be run by itself on one processor (by typing <code class="docutils literal notranslate"><span class="pre">./run</span></code>), or in parallel with  <code class="docutils literal notranslate"><span class="pre">qsub</span> <span class="pre">pbs.sh</span></code> if you work locally on geodcalctb Lyon 1 cluster.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>Make sure that paths are correct in pbs.sh</p>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="about.html" class="btn btn-neutral float-left" title="About Bstrain" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="howto.html" class="btn btn-neutral float-right" title="How to use" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, mmetois.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>